> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the WhatsApp two-step verification PIN

> Set the two-step verification PIN Meta keeps on the phone number.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/pin
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/pin:
    post:
      tags:
        - Orgs Connections
      summary: Set the WhatsApp two-step verification PIN
      description: Set the two-step verification PIN Meta keeps on the phone number.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the WhatsApp phone number
          name: phone_number_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetWhatsAppPinSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SetWhatsAppPinSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppPhoneNumberSchema'
components:
  schemas:
    SetWhatsAppPinSchema:
      type: object
      properties:
        pin:
          type: string
          pattern: ^\d{6}$
      required:
        - pin
    WhatsAppPhoneNumberSchema:
      type: object
      properties:
        id:
          type: string
        waba_id:
          type: string
        display_phone_number:
          type: string
        verified_name:
          type: string
        status:
          type: string
        quality_score:
          type: object
          properties:
            score:
              type: string
          required:
            - score
        name_status:
          type: string
        messaging_limit_tier:
          type: string
        platform_type:
          type: string
        account_mode:
          type: string
        is_official_business_account:
          type: boolean
        is_pin_enabled:
          type: boolean
        health:
          $ref: '#/components/schemas/WhatsAppHealthSchema'
      required:
        - id
        - waba_id
        - display_phone_number
    WhatsAppHealthSchema:
      type: object
      properties:
        can_send_message:
          type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppHealthEntitySchema'
    WhatsAppHealthEntitySchema:
      type: object
      properties:
        entity_type:
          type: string
        id:
          type: string
        can_send_message:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppHealthErrorSchema'
        additional_info:
          type: array
          items:
            type: string
    WhatsAppHealthErrorSchema:
      type: object
      properties:
        error_code:
          type: number
        error_description:
          type: string
        possible_solution:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````